<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/navigation_graph"
    app:startDestination="@id/listFragment">

    <fragment
        android:id="@+id/listFragment"
        android:name="com.example.imagein.ui.views.ListFragment"
        android:label="ListFragment" >
        <action
            android:id="@+id/action_list_to_detail"
            app:destination="@id/detailFragment" />
        <action
            android:id="@+id/action_list_to_settings"
            app:destination="@id/settingsFragment" />
        <action
            android:id="@+id/action_list_self"
            app:destination="@id/listFragment" />
    </fragment>
    <fragment
        android:id="@+id/detailFragment"
        android:name="com.example.imagein.ui.views.DetailFragment"
        android:label="DetailFragment" >
        <action
            android:id="@+id/action_detail_to_list"
            app:destination="@id/listFragment" />
        <argument
            android:name="photo_id"
            app:argType="integer" />
        <action
            android:id="@+id/action_detail_self"
            app:destination="@id/detailFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsFragment"
        android:name="com.example.imagein.ui.views.SettingsFragment"
        android:label="SettingsFragment" >
        <action
            android:id="@+id/action_settings_to_list"
            app:destination="@id/listFragment" />
        <action
            android:id="@+id/action_settings_self"
            app:destination="@id/settingsFragment" />
    </fragment>
</navigation>
